Base.onReady(function() {
  //从前一个页面传过来
  var areaParams = md.pageParam.areaParams;
   cityCode = areaParams['city']["value"]; //初始化的时候获取的市级行政编码
   areaType = areaParams.areaType;
   if(areaType=="4"){  //代表省内
          initOne(1);
   }else{
      proviceCode = areaParams['province']["value"]; //初始化的时候获取的省级行政编码
      proviceText = areaParams['province']["text"]; //初始化的时候获取的省级值
     init(1);
   }
 
});


function initOne(order){
  if(order == 1){
    var superiorValue="52";
    getCommon(cityOne,cityTwo,superiorValue);
  }
   $(".i-province").hide(); 
   $(".i-county").hide(); 
   $(".i-town").hide(); 
   $(".i-village").hide(); 
     
}


//为了模仿同步执行的方法
 function init(time){
  if(time==1){
    getCommon(provinceOne,ProvinceTwo,"",function(){
      init(2);
    });
  }
   if(time==2){
    //从上一个页面传过来
    var superiorValue= proviceCode.substring(0,2);
    getCommon(cityOne,cityTwo,superiorValue);
   }
 }


   //JSON对象，封装省份需要传的参数
   var provinceOne={"jybh":"QMCB026","aClassname":"i-province"};
   var ProvinceTwo={"cNItem":"i-item","areaCNP":"province","cNpoint":"i-pointerR","area":"province"};

  //JSON对象，封装市级需要传的参数
   var cityOne={"jybh":"QMCB027","aClassname":"i-city"};
   var cityTwo={"cNItem":"i-list1","areaCNP":"city","cNpoint":"i-pointer1","area":"city"};

   //JSON对象，封装区县级需要传的参数
   var countyOne={"jybh":"QMCB028","aClassname":"i-county"};
   var countyTwo={"cNItem":"i-list2","areaCNP":"county","cNpoint":"i-pointer2","area":"county"};

   //JSON对象，封装乡镇级需要传的参数
   var townOne={"jybh":"QMCB029","aClassname":"i-town"};
   var townTwo={"cNItem":"i-list3","areaCNP":"town","cNpoint":"i-pointer3","area":"town"};

   //JSON对象，封装村级需要传的参数
   var villageOne={"jybh":"QMCB030","aClassname":"i-village"};
   var villageTwo={"cNItem":"","areaCNP":"village","cNpoint":"","area":"village"};



    /*
     *通过交易编号查询需要的数据，并绑定到界面上
     *paramOne:查询接口需要传的值，和绑定数据需要传的值
     *paramTwo:查询到结果后需要传的值
     *paramThree:上级行政区划的code值
     */
    function getCommon(paramOne,paramTwo,paramThree,func){
        param={};
        param["jybh"]=paramOne.jybh;
        param["sysorg"]="520000";
        param["superiorValue"]=paramThree;
        param["areaType"]=areaType;
        Base.requestServer("queryData",param,function(data){
          var str = createCommon(data,paramTwo);
          if(data.code=="1" || str!=""){
               $("."+paramOne.aClassname).html(str);
               $("."+paramOne.aClassname).show();
               curarea=paramTwo.area; 
               if(paramTwo.area=="province"){
                 $("[code='"+proviceCode+"']").css("color","red");
               }
               if(paramTwo.area=="city"){
                $("[code='"+cityCode+"']").css("color","red");
               }

               if(func!=undefined){
                  func();
               }
            }else{
              Base.msgTip("暂时没有数据");
            }
        },true);
    }


    /*
     *绑定省、市、县、乡、村的公共方法
     *data：查到的数据
     *paramTwo:每一条数据的className 哪一级的className 向右的箭头className
     *paramfive:上一级的行政编码
    */
    function createCommon(data,paramTwo){
      var str="";
      var item=data.output;
      for(var i=0;i<item.length;i++){
        str+=' <div class="md-box md-ver '+paramTwo.cNItem+'" area="'+paramTwo.area+'">'
           +'<div class="md-box md-pj i-padding"  >'
           +'<div class="'+paramTwo.areaCNP+' i-dis" code="'+item[i].aaa102+'" checked="">'+item[i].aaa103+'</div>'
           +'<div class="'+paramTwo.cNpoint+'"></div>'
           +'</div>'
           +'<div class="i-line"></div>'
           +' </div>'
        }
        return str;
    }



var curarea="";//当前属于哪一级
var firsCode = ""; //省级的code值
var commitValue="";//点击后选中的值
Base.click("[area]",function($this){
    var area = $this.attr("area");
    if (area=='province') {
      //点击后设置整个item的颜色
      $(".i-item").css("background" ,"#fff");
      changeColor($this,area);
      //获取上级省的code值
      var superiorValue = $this.find("div[code]").eq(0).attr("code");
      superiorValue = superiorValue.substring(0,2);
      //根据省查询市
      getCommon(cityOne,cityTwo,superiorValue);

    }if (area=='city') {
      $(".i-province").hide(); 
      $(".i-pointer1").show();
     //点击后设置整个item的颜色
      $(".i-list1").css("background" ,"#fff");
      changeColor($this,area);
      //获取上级省的code值
      var superiorValue = $this.find("div[code]").eq(0).attr("code");
       superiorValue = superiorValue.substring(0,4);
      //根据省查询区县
      getCommon(countyOne,countyTwo,superiorValue);
      firsCode = superiorValue.substring(0,2);
    }if (  area=='county') {
          //点击后设置整个item的颜色
        $(".i-list2").css("background" ,"#fff");
        changeColor($this,area);
        //firsCode中的52代表贵州省本省
        if(firsCode =="52"){
            $(".i-city").hide(); 
            $(".i-pointer2").show();
             //获取上级省的code值
          var superiorValue = $this.find("div[code]").eq(0).attr("code");
            getCommon(townOne,townTwo,superiorValue);
          }else{
            var msg = "是否提交";
            /*if (confirm(msg)==true){
             //将选中的值返回到第一个界面上去
              backData("county"); 
            }*/
            md.confirm({
              /*title: '标题',*/
              msg: msg,
              buttons: ['确定', '取消']
            }, function(ret, err){
             // alert( ret.buttonIndex );
              if(ret.buttonIndex=="1"){
                 //将选中的值返回到第一个界面上去
                 backData("county"); 
              }
            });
          }
    }if ( area=='town') {
           //点击乡镇街道的时候隐藏区县级地区显示村信息
          $(".i-county").hide(); 
          $(".i-pointer3").show();
        //点击后设置整个item的颜色
          $(".i-list3").css("background" ,"#fff");
          changeColor($this,area);
          //获取上级省的code值
          var superiorValue = $this.find("div[code]").eq(0).attr("code");
          //根据省查询乡镇
          getCommon(villageOne,villageTwo,superiorValue);
          
    }if(area=="village"){
      changeColor($this,area);
      var msg = "是否提交";
      /*if (confirm(msg)==true){
       //将选中的值返回到第一个界面上去
        backData("village"); 
      }*/
      md.confirm({
          msg: msg,
          buttons: ['确定', '取消']
      }, function(ret, err){
          if(ret.buttonIndex=="1"){
            //将选中的值返回到第一个界面上去
            backData("village");
          }
      });
    }
});


/*点击时改变字体和整个调条的颜色*/
function changeColor(val,place){
    val.css("background" ,"#fafafa");
      //点击后设置字体颜色
    $("."+place).css("color" ,"#333");
    val.find("div[code]").eq(0).css("color","#fb1e1e");
    //将该元素的所有兄弟元素checked属性设置成为false
    val.find("div[checked]").siblings().attr("checked","false");
    //将被点击的属性置为true
    val.find("div[checked]").attr("checked","true");
}


/*回退到上一级*/
function banckStep(){
 switch(curarea){
    case "province":
        //给出提示，已经是第一级了，不能再回退了
        Base.msgTip("已经是第一级了");
        break;
    case "city":
       //点击上一步的时候隐藏市级（向右箭头隐藏）和显示省份（向右箭头显示）
       Base.msgTip("已经是第一级了");
       curarea="province";
      break;
    case "county":
    //点击上一步的时候隐藏区县（向右箭头隐藏）和显示市级和省级（向右箭头显示）
        $(".i-county").hide();
        $(".i-pointer1").hide();
        $(".i-province").show();
        curarea="city";
        break;
    case "town":
     //点击上一步的时候隐藏乡镇（向右箭头隐藏）和显示区县和市级（向右箭头显示）
        $(".i-town").hide();
        $(".i-pointer2").hide();
        $(".i-city").show();
        curarea="county";
        break;
    case "village":
        //点击上一步的时候隐藏村（向右箭头隐藏）显示乡镇和区县（向右箭头显示）
        $(".i-village").hide();
        $(".i-pointer3").hide();  //乡村箭头
        $(".i-county").show();
        curarea="town";
        break;
   }
}


function backData(tag){
    var areaType = md.pageParam.areaParams.areaType;
    var areaParams={};
        areaParams["areaType"]=areaType; //代表现居住地
        var areaNameArr=[];
        if(tag=="village"){
          areaNameArr =["province","city","county","town","village"];
        }else if(tag=="county"){
          areaNameArr =["province","city","county"];
        }
        for (var i = 0; i < areaNameArr.length; i++) {
            var areaNameArri = areaNameArr[i];
            var value = $("div[area='"+areaNameArri+"']").find("div[code][checked='true']").eq(0).attr("code");
            var text  = $("div[area='"+areaNameArri+"']").find("div[code][checked='true']").eq(0).text();
            areaParams[areaNameArri ]={};
            if (infoManageCommonFun.isNotEmpty(value)&&infoManageCommonFun.isNotEmpty(text)) {
               areaParams[ areaNameArri ]["value"]=value;
               areaParams[ areaNameArri ]["text"]=text; 
            }else if(areaType!="4"){
                 areaParams[ areaNameArri ]["value"]=proviceCode;
                 areaParams[ areaNameArri ]["text"]=proviceText;
            }
        }

        var from = md.pageParam.from;
        md.execScript({
            name:from.winName,
            frameName:from.frameName,
            script: "infoManageCommonFun.setArea("+JSON.stringify(areaParams)+")"
        });
        commonUtil.console("areaParams="+JSON.stringify(areaParams));
        md.closeFrame();
        md.closeWin();

}
