﻿    var personData;//待调查对象原数据信息
    /**
     *初始化界面时执行
     *
     */
    Base.onReady(function(){
        /*查询二级代码的码值放入myBase中，设默认值时需要*/
        var codeArr=$(".pageData").find("div[CODE]"); 
        var aaa100Arr=[];
        for (var i = 0,len=codeArr.length; i < len; i++) {
            var $i=$(codeArr[i]);
            var code=$i.attr("CODE");
            commonUtil.console("CODE="+code);
            aaa100Arr.push(code)
        }
        fnSetAa10(aaa100Arr);
        fnSetDefaultData();
        fnSetPsersonData();
    });
    /**
     *设置调查人员数据
     */
    function fnSetPsersonData(){
        var pageParam=md.pageParam;

        var jac001=pageParam.jac001;

        commonUtil.console("jac001="+JSON.stringify(jac001));
        
        var data={};
        getDataModule.getSurveyPersonDataByjac001(jac001,function(returnData){

            if (commonUtil.isArray(returnData)) {
                data=returnData[0];
            }else{

            }
            
        });

        personData=data;

        commonUtil.console("personData:"+JSON.stringify(personData));

        /*给二级代码设默认值*/
        var arr=$(".pageData").find("div[field]"); 
        for (var i = 0,len=arr.length; i < len; i++) {
            var $i=$(arr[i]);

            var field = $i.attr("field");

            var fieldU = field.toUpperCase();

            var value = personData[fieldU];

            var text = $i.attr("CODE")==undefined?"":myBase.aa10[fieldU][value];
            if (fieldU=="AAC006") {
                value=value.substring(0,10);/*1970-04-15 00:00:00.0 改为1989-09-01   --暂时无用replace(/\//g,"-")*/
                text=value;
            }
            // commonUtil.console("field="+fieldU+";value="+value+";text="+text);

            if (infoManageCommonFun.isNotEmpty(value)&&infoManageCommonFun.isNotEmpty(text)) {
                setCode(field,value,text);
                // $i.attr("value",value).text(text);
            }
            
        }
        /*给输入项设默认值*/
        arr=$(".pageData").find("input[field]"); 
        for (var i = 0,len=arr.length; i < len; i++) {
            var $i=$(arr[i]);

            var field = $i.attr("field");

            var fieldU = field.toUpperCase();

            var value = personData[fieldU];

            commonUtil.console("field="+fieldU+";value="+value);

            if (infoManageCommonFun.isNotEmpty(value)) {
                $i.val(value);
            }
            
        }

    }
    /**
     *设置默认值
     */
    function fnSetDefaultData(){
        defaultField=[
            {"field":"aae102","value":"0"},/*生存状态*/
            {"field":"aae105","value":"0"} /*是否制卡*/
        ];
        for (var i = 0,len=defaultField.length; i < len; i++) {
            var field=defaultField[i].field;
            var fieldU=field.toUpperCase();
            var value=defaultField[i].value;
            var code=field.toUpperCase();
            var text =myBase.aa10[fieldU][value];
            commonUtil.console("field="+field);
            commonUtil.console("value="+value);
            commonUtil.console("code="+code);
            commonUtil.console("text="+text);
            setCode(field, value, text);
        }
    }

    
    /**
     * 选择码值后回调
     * 
     * @method setCode
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    function setCode(field, value, text) {
        $("div[field='"+field+"']").attr("value", value).text(text);
        fnSetAae106(field, value, text);
    }

    /**
     * 选择未制卡时清空社保卡号
     * 
     * @method 
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            value 字段值
     * @param {string}
     *            test 字段值描述
     */
    function fnSetAae106(field, value, text){
        if (field!='aae105') {
            return;
        }
        if (value=="0") {//未制卡
            $("input[field='aae106']").val("").attr("readonly","readonly");
        }else if(value=="1"){//已制卡
            $("input[field='aae106']").removeAttr("readonly");
        }
    }


    /**
     * 点击下一页按钮时，验证以及获取界面的参数并传递到参保信息界面
     * 
     * @method click
     * @param {string}
     *            .multi-item  参保类型
     */
     
    Base.click(".next_btn", function($this, e) {
            if($this.hasClass("disable-btn")) {
                Base.msgTip("该人员已调查，不能添加！");
                return false;
            }
            commonUtil.console("pageData验证开始");
            var pageDatas=validateForm($(".pageData"));
            if (pageDatas.validate==false) {
                return false;
            }
            commonUtil.console("pageDatas="+JSON.stringify(pageDatas));
            commonUtil.console("pageDatas验证完成");
            var url="wgt://business/infoManage/common/html/common_naiv.html";
            var frameUrl = "wgt://business/infoManage/survey/html/survey_area_outlander.html";;
            var title = "入户调查"; 
            var name="survey_area";
            var pageParam={
                    frameUrl: frameUrl,
                    title: title || "",
                    bounces: false,
                    reload: true,
                    frameParam: {
                        title: title,
                        from:{
                            winName:md.winName,
                            frameName:md.frameName
                        },
                        pageData:pageDatas.params,
                        personData:personData
                    }
                };
                
            md.openWin({
                name: name,
                url: url,
                reload: true,
                pageParam: pageParam
            });
        }, "md-act2");

    /**
     * 校验界面的值
     * 
     * @method setCode
     * @param {string}
     *            $this 所有字段的父元素
     * @return {json}
     *            data params 要传递到下一页界面的参数,validate:验证是否通过，校验不通过时validate=false
     */
    function validateForm($this) {
        var data = {validate: false};
        var arr = $this.find("[field]");
        var params = {};
        for (var i = 0, len = arr.length; i < len; i++) {
            var $i = $(arr[i]);
            var field = $i.attr("field");
            var value = $i.attr("value") || $i.val();
            var validate = $i.attr("validate");//验证是否为空，若有type要验证格式
            var validateFormat = $i.attr("validateFormat");//只验证格式
            var tip = "请输入必填字段";
            params[field] = value;
            var type;
            //有validateFormat属性代表需要验证格式，或者必输
            if(validate||validateFormat) {
                if(validate) {
                    validate = eval("(" + validate +")");
                    tip = validate.tip;
                    type = validate.type;
                    if(value == "" || value == undefined) {
                        Base.msgTip(tip);
                        return data;
                    }
                }

                if(validateFormat) {
                    validateFormat = eval("(" + validateFormat +")");
                    tip = validateFormat.tip;
                    type = validateFormat.type;
                }
                
                switch(type) {
                    case "mobile": //验证手机号码
                        if ($.trim(value).length!=0) {
                            if(!Base.validate.isMobile(value)) {
                                Base.msgTip("手机号码格式输入错误");
                                return data;
                            }
                        }
                        
                    break;
                    case "tel": //验证固定电话
                        if ($.trim(value).length!=0) {
                            if(!Base.validate.isTel(value)) {
                                Base.msgTip("固定电话格式输入错误");
                                return data;
                            }
                        }
                        
                    break;
                    case "SICard": //社保卡号
                        if ($.trim(value).length!=0) {
                            var validateSICard=Base.validate.isSICard(value);
                            if (!validateSICard.validate) {
                                Base.msgTip(validateSICard.msg);
                                return data;
                            }
                        }
                        
                    break;
                    default:;
                }
            }
        }
        data.params = params;
        data.validate = true;
        return data;
    }