﻿    var prePageData;/*前一页传递过来的参数*/
    var personData;/*待调查人员的原始数据拥有设初始值*/
    /**
     * 页面初始化时获取前一页传递过来的参数
     * 
     */
    Base.onReady(function(){
        prePageData=md.pageParam.pageData;
        personData=md.pageParam.personData;
        commonUtil.console("初始化时prePageData="+JSON.stringify(prePageData));

        /*查询二级代码的码值放入myBase中，设默认值时需要*/
        var codeArr=$(".pageData").find("div[CODE]"); 
        var aaa100Arr=[];
        for (var i = 0,len=codeArr.length; i < len; i++) {
            var $i=$(codeArr[i]);
            var code=$i.attr("CODE");
            commonUtil.console("CODE="+code);
            aaa100Arr.push(code)
        }
        fnSetAa10(aaa100Arr);
        fnSetDefaultData();
    });
    /**
     *设置默认值
     */
    function fnSetDefaultData(){
        var defaultField=[
            {"field":"aac016","value":"0"}
        ];
        for (var i = 0,len = defaultField.length; i < len; i++) {
            var field=defaultField[i].field;
            var fieldU=field.toUpperCase();
            var value=defaultField[i].value;
            var code=field.toUpperCase();
            var text =myBase.aa10[fieldU][value];
            commonUtil.console("field="+field);
            commonUtil.console("value="+value);
            commonUtil.console("code="+code);
            commonUtil.console("text="+text);
            setCode(field, value, text);
        }
    }
    
    /**
     * 选择码值后回调
     * 
     * @method setCode
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    function setCode(field, value, text) {
        infoManageCommonFun.clearLowerLevelArea(field, value, text);//根据选择的行政区划值清空该行政区划下级
        $("div[field='"+field+"']").attr("value", value).text(text);
        infoManageCommonFun.setEmploymentShowOrhidden(field, value, text);//设置就业信息显示或隐藏
    }


    /**
     * 点击下一页按钮时，验证以及获取界面的参数并传递到参保信息界面
     * 
     */
     
    Base.click(".next_btn", function($this, e) {
            if($this.hasClass("disable-btn")) {
                return false;
            }
            commonUtil.console("pageData验证开始");
            var curPageData=validateForm($(".pageData"));/*cur-current当前页数据*/
            if (curPageData.validate==false) {
                return false;
            }
            commonUtil.console("pageData验证完成");
            $.extend(curPageData.params, prePageData); 
            commonUtil.console("extend后curPageData.params="+JSON.stringify(curPageData.params));
            commonUtil.console("extend后prePageData="+JSON.stringify(prePageData));
            var url="wgt://business/infoManage/common/html/common_naiv.html";
            var frameUrl = "wgt://business/infoManage/survey/html/survey_insurance_outlander.html";;
            var title = "入户调查"; 
            var name="survey_insurance";
            
            var pageParam={
                    frameUrl: frameUrl,
                    title: title || "",
                    bounces: false,
                    reload: true,
                    frameParam: {
                        title: title,
                        from:{
                            winName:md.winName,
                            frameName:md.frameName
                        },
                        pageData:curPageData.params,
                        personData:personData
                    }
                };

            md.openWin({
                name: name,
                url: url,
                reload: true,
                pageParam: pageParam
            });
        }, "md-act2");


    /**
     * 校验界面的值
     * 
     * @method setCode
     * @param {string}
     *            $this 所有字段的父元素
     * @return {json}
     *            data params 要传递到下一页界面的参数,validate:验证是否通过，校验不通过时validate=false
     */
    function validateForm($this) {
        var data = {validate: false};
        var arr = $this.find("[field]");
        var params = {};
        for (var i = 0, len = arr.length; i < len; i++) {
            var $i = $(arr[i]);
            var field = $i.attr("field");
            var value = $i.attr("value") || $i.val();
            var validate = $i.attr("validate");//验证是否为空，若有type要验证格式
            var tip = "请输入必填字段";
            params[field] = value;
            var type;
            //有validateFormat属性代表需要验证格式，或者必输
            if(validate) {
                if(validate) {
                    validate = eval("(" + validate +")");
                    tip = validate.tip;
                    type = validate.type;
                    if(value == "" || value == undefined) {
                        Base.msgTip(tip);
                        return data;
                    }
                }
                
                //就业需要根据就业状态和就业地(省内省外)判断哪些必输，哪些不必输
                if (field=="aac016") {//就业状态
                    switch(value){
                        case "0"://未就业
                            if (!$("div[field='aac017']").attr("value")) {
                                Base.msgTip("请输入未就业原因");
                                data.validate = false;
                                return data;
                            }
                        break;
                        case "1"://已就业
                            if (!$("div[field='aac019']").attr("value")) {
                                Base.msgTip("请输入就业地");
                                data.validate = false;
                                return data;
                            }
                            switch($("div[field='aac019']").attr("value")){
                                case "0"://就业地省内
                                    var dataValEmp=validateEmpInfo($(".wrap-div-employment-in"));
                                    if (!dataValEmp.validate) {
                                        data.validate = false;
                                        return data;
                                    }
                                break;
                                case "1"://就业地省外
                                    var dataValEmp=validateEmpInfo($(".wrap-div-employment-out"));
                                    if (!dataValEmp.validate) {
                                        data.validate = false;
                                        return data;
                                    }
                                break;
                            }
                        break;
                        default:;
                    }
                }//field=="aac016"结束
            }
        }
        data.params = params;
        data.validate = true;
        return data;
    }
    /**
     * 判断就业信息是否填写。
     * 因为就业信息根据是否就业来填写不同的项。所以单独写验证方法。
     * 
     * @method setCode
     * @param {string}
     *            $this 其值为包含省外已就业和省内已就业的div
     * @return {json}
     *             dataEmp 若div下的field为空，dataEmp.validate==false;
     */
    function validateEmpInfo($this) {
        var dataEmp = {validate: true};
        var arr = $this.find("[field]");
        for (var i = 0, len = arr.length; i < len; i++) {
            var $i = $(arr[i]);
            var field = $i.attr("field");
            var value = $i.attr("value") || $i.val();
            var tip = $i.siblings('.field_title').text().replace(/:/,"")+"不能为空";
            if(infoManageCommonFun.isEmpty(value)) {
                Base.msgTip(tip);
                dataEmp.validate=false;
                return dataEmp;
            }
        }
        return dataEmp;
    }