﻿    var prePageData={};/*前一页传递过来的参数*/
    var personData={};/*待调查人员的原始数据拥有设初始值*/
    /**
     * 页面初始化时获取前一页传递过来的参数
     * 并根据参数显示不同的模块
     */
    Base.onReady(function(){
        prePageData=md.pageParam.pageData;
        personData=md.pageParam.personData;
  
        /*查询二级代码的码值放入myBase中，设默认值时需要*/
        var codeArr=$(".pageData").find("div[CODE]"); 
        var aaa100Arr=[];
        for (var i = 0,len=codeArr.length; i < len; i++) {
            var $i=$(codeArr[i]);
            var code=$i.attr("CODE");
            commonUtil.console("CODE="+code);
            aaa100Arr.push(code)
        }


        var $insure=$(".wrap-div-insure");//已参保div
        var $insure_employment=$(".wrap-div-insure-employment");//省外就业已参保div
        var $insure_unemployment=$(".wrap-div-insure-unemployment");//省外未就业已参保div
        var $uninsure=$(".wrap-div-uninsure");//未参保div
        var $insure_select=$(".wrap-div-insure-select");//省外是否参保选择radio div
        var $unEmpInsure_select=$(".wrap-div-unemp-insure");//省外是否参保选择radio div
        var aac016=prePageData.aac016;
        var aac019=prePageData.aac019;
        switch(aac016){
            case "0"://未就业
                $unEmpInsure_select.css("display", "-webkit-box");//未就业参保
                // $insure_select.css("display", "-webkit-box");//显示省外是否参保radio
                // $uninsure.css("display", "-webkit-box");
                break;
            case "1"://已就业
                if (aac019=="0") {//省内就业
                    $uninsure.css("display", "-webkit-box");//显示未参保原因
                }
                if (aac019=="1") {//省外就业
                    $insure_select.css("display", "-webkit-box");//显示省外是否参保radio
                    // $uninsure.css("display", "-webkit-box");
                    //设默认值
                    var defaultField=[
                        {"field":"aac032","value":"1"} 
                    ];
                    for (var i = 0,len=defaultField.length; i < len; i++) {
                        var field=defaultField[i].field;
                        var value=defaultField[i].value;
                        var fieldU=field.toUpperCase();
                        var text =myBase.aa10[fieldU][value];
                        commonUtil.console("field="+field);
                        commonUtil.console("value="+value); 
                        commonUtil.console("fieldU="+fieldU);
                        commonUtil.console("text="+text);
                        setCode(field, value, text);
                    }
                }
                break;
            default:;

        }
    });

    /**
     * 选择码值后回调
     * 
     * @method setCode
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    function setCode(field, value, text) {
        $("div[field='"+field+"']").attr("value", value).text(text);
        infoManageCommonFun.setInsureDetailShowOrHidden(field, value, text);//设置险种信息显示或隐藏
    } 
    
    /**
     * 点击确定按钮
     */
     
    Base.click("#submit_btn", function($this, e) {

            if($this.hasClass("disable-btn")) {
                return false;
            }

            commonUtil.console("pageData验证开始");
            var curPageData=validateForm($(".pageData"));/*cur-current当前页数据*/
            if (curPageData.validate==false) {
             
                 return false; 
            }

          
            commonUtil.console("prePageData="+JSON.stringify(curPageData));
            $.extend(curPageData.params, prePageData);
            var params=curPageData.params;

            

            commonUtil.console("curPageData.params="+JSON.stringify(curPageData.params));

         
            commonUtil.console("params="+JSON.stringify(curPageData.params));
            sava(params);

              
        }, "md-act2");
    /**
     * 保存数据到本地库
     * 
     * @method setCode
     * @param {params}
     *            $this 界面的所有元素
     * @return {data}
     *            data 要传递到调查结果页面的参数
     */

     function sava(params){
    
        params["jybh"]="QMCB016";
        params["sysorg"]= "520000";
        params["aae011"]="225926";
        Base.requestServer("queryData",params,function(data){
        if(data.code=="1"){
            Base.msgTip("数据上传成功");

            md.closeToWin({
                name: 'root',
                animation: {
                    type: 'push',
                    subType:"from_left",
                    duration: 300
                }
            });
        }else{
             Base.msgTip("数据上传失败");
        }

     },true);
        
   }

   
    /**
     * 校验界面的值
     * 
     * @method setCode
     * @param {string}
     *            $this 所有字段的父元素
     * @return {json}
     *            data params 当前界面的参数,validate:验证是否通过，校验不通过时validate=false
     */
    function validateForm() {
            var data = {validate: false};
            var params = {};
            var aac016=prePageData.aac016;
            var aac019=prePageData.aac019;
            switch(aac016){
                case "0"://未就业
                    var yac101Value=$("div[field='yac101']").attr("value");//未就业是否参保
                    if (infoManageCommonFun.isEmpty(yac101Value)) {
                        Base.msgTip("请选择未就业已参保!");
                        return data;
                    }
                    params["yac101"]=yac101Value;
                    switch(yac101Value){
                        case "1"://未就业已参保
                            var insuredata=infoManageCommonFun.getInsuranceInfo(prePageData);
                            if (!insuredata.validate) {
                                Base.msgTip("险种不能为空");
                                return data;
                            }
                            $.extend(params,insuredata.params);
                            break;
                        case "0"://未就业未参保
                            var aae013Value=$("div[field='aae013']").attr("value");//未参保原因
                            params["aae013"]=aae013Value;
                            params["aac034"]='0';//是否参保标志为未参保
                            break;
                        default:;
                    }
                    break;
                case "1"://已就业
                    if (aac019=="0") {//省内就业

                        var aae013Value=$("div[field='aae013']").attr("value");//未参保原因
                        params["aae013"]=aae013Value;

                        if (infoManageCommonFun.isNotEmpty(aae013Value)) {
                            params["aac034"]='0';//1--已参保 0---未参保  选了未参保原因就是未参保
                        }else{
                            params["aac034"]='1';//1--已参保 0---未参保  省内就业默认已参保
                        }
                    }
                    if (aac019=="1") {//省外就业

                        var aac032Value=$("div[field='aac032']").attr("value");//就业是否参保

                        if (infoManageCommonFun.isEmpty(aac032Value)) {
                            Base.msgTip("请选择省外是否参保!");
                            return data;
                        }
                        params["aac032"]=aac032Value;
                        switch(aac032Value){
                            case "0"://已参保
                                var insuredata=infoManageCommonFun.getInsuranceInfo(prePageData);
                                if (!insuredata.validate) {
                                    Base.msgTip("险种不能为空");
                                    return data;
                                }
                                $.extend(params,insuredata.params);
                                break;
                            case "1"://未参保
                                var aae013Value=$("div[field='aae013']").attr("value");//未参保原因
                                if (infoManageCommonFun.isEmpty(aae013Value)) {
                                    Base.msgTip("未参保原因不能为空!");
                                    return data;
                                }
                                params["aae013"]=aae013Value;
                                params["aac034"]='0';//1--已参保 0---未参保
                                break;
                            default:;
                        }
                        
                    }
                    break;
                default:;

            }

            /*放入签名路径*/
            var pngUrl=$("div[field='pngurl']").attr("value");
            if (infoManageCommonFun.isNotEmpty(pngUrl)&&pngUrl.indexOf("png") > 0) {
                params["pngurl"]=pngUrl;
            }else{
                Base.msgTip("签名不能为空");
                data.validate=false;
                return data;
            }


           var photofile=$("div[field='photofile']").attr("value");
            if (infoManageCommonFun.isNotEmpty(photofile)) {
                params["photofile"]=photofile;
            }

            /*放入经办时间*/
            var aae036 = Base.getNowDatetime(); 
            params["aae036"]=aae036;

            /*放入调查类型--已调查*/
            params["aae101"]='1';
            data.params = params;
            data.validate = true;
            return data;
        }


//拍照photo_btn
//获取本地相机拍照（照片采集）
    Base.click("#getphone",function(){
        $("#getphonePath").attr("status","1");
        md.getMedia({
            sourceType: 'camera',
            encodingType: 'png',
            mediaType: 'pic',
            destinationType: 'base64',
            allowEdit: true,
            quality: 90,
            targetWidth: 800,
            targetHeight: 800,
            saveToPhotoAlbum: false
        }, function(ret, err){ 
            if(ret){
                $("#phoneTips").show();
                $("#getphonePath").css("background-image","url("+ret.data+")");
                $("#getphonePath").attr("value",ret.base64Data);
                $("#beforphoto").hide();
            }else{
                 $("#getphonePath").attr("status","0");
                 $("#getphonePath").css("background-image","url(../../../../common/image/moren.jpg)");
                 var thisphoto = $("div[field='photofile']").attr("value");
                 if (infoManageCommonFun.isNotEmpty(thisphoto)) {
                   $("#beforphoto").show();
                 }else{
                     $("#beforphoto").hide();
                 }
            }
        });
    });

    