﻿    var prePageData={};
    /**
     * 页面初始化时获取前一页传递过来的参数
     * 并根据参数显示不同的模块
     */
    Base.ready(function(){
        prePageData=md.pageParam.pageData;
        commonUtil.console("=====参保页面初始化JSON.stringify(prePageData)="+JSON.stringify(prePageData));
        /*获取默认值码表*/
        var codeArr=$(".pageData").find("div[CODE]"); 
        var aaa100Arr=[];
        for (var i = 0,len=codeArr.length; i < len; i++) {
            var $i=$(codeArr[i]);
            var code=$i.attr("CODE");
            commonUtil.console("CODE="+code);
            aaa100Arr.push(code)
        }
        fnSetAa10(aaa100Arr);

        var $insure=$(".wrap-div-insure");//已参保div
        var $insure_employment=$(".wrap-div-insure-employment");//省外就业已参保div
        var $insure_unemployment=$(".wrap-div-insure-unemployment");//省外未就业已参保div
        var $uninsure=$(".wrap-div-uninsure");//未参保div
        var $insure_select=$(".wrap-div-insure-select");//省外是否参保选择radio div
        var $unEmpInsure_select=$(".wrap-div-unemp-insure");//省外是否参保选择radio div
        var aac016=prePageData.aac016;
        var aac019=prePageData.aac019;
        switch(aac016){
            case "0"://未就业
                $unEmpInsure_select.css("display", "-webkit-box");//未就业参保
                // $insure_select.css("display", "-webkit-box");//显示省外是否参保radio
                // $uninsure.css("display", "-webkit-box");
                break;
            case "1"://已就业
                if (aac019=="0") {//省内就业
                    $uninsure.css("display", "-webkit-box");//显示未参保原因
                }
                if (aac019=="1") {//省外就业
                    $insure_select.css("display", "-webkit-box");//显示省外是否参保radio
                    // $uninsure.css("display", "-webkit-box");
                    //设默认值
                    var defaultField=[
                        {"field":"aac032","value":"1"} 
                    ];
                    for (var i = 0,len = defaultField.length; i < len; i++) {
                        var field=defaultField[i].field;
                        var value=defaultField[i].value;
                        var fieldU=field.toUpperCase();
                        var text =myBase.aa10[fieldU][value];
                        commonUtil.console("field="+field);
                        commonUtil.console("value="+value); 
                        commonUtil.console("fieldU="+fieldU);
                        commonUtil.console("text="+text);
                        setCode(field, value, text);
                    }
                }
                break;
            default:;

        }
    });

    /**
     * 选择码值后回调
     * 
     * @method setCode
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    function setCode(field, value, text) {
        $("div[field='"+field+"']").attr("value", value).text(text);
        infoManageCommonFun.setInsureDetailShowOrHidden(field, value, text);//设置险种信息显示或隐藏
    } 
    
    /**
     * 点击确定按钮
     * 
     */
     
    Base.click("#submit_btn", function($this, e) {
            /*脱机版验证超时时间*/
            if(!commonUtil.checkOverTime()){
                Base.msgTip("登录信息已过期,需重新登录");
                setTimeout("Base.login()",1200);
                return ;
            }
            if($this.hasClass("disable-btn")) {
                return false;
            }

            commonUtil.console("pageData验证开始");
            var curPageData=validateForm($(".pageData"));/*cur-current当前页数据*/
            if (curPageData.validate==false) {
                 return false; 
            }
            commonUtil.console("prePageData="+JSON.stringify(curPageData));

            $.extend(curPageData.params, prePageData);
            var params=curPageData.params;
            commonUtil.console("curPageData.params="+JSON.stringify(curPageData.params));
            commonUtil.console("curPageData验证完成");
            
            sava(params);
            
        }, "md-act2");
    /**
     * 保存数据到本地库
     * 
     * @method setCode
     * @param {params}
     *            $this 界面的所有元素
     * @return {data}
     *            data 要传递到调查结果页面的参数
     */

     function sava(params){
        var sqlData=fnGetSqls(params);
        var storageData={};
        storageData["params"]=params;
        storageData["sqlData"]=sqlData;

        saveDataModule.surveyStorage(storageData,function(survey_result){
            commonUtil.console("surveyStorage完毕");
            commonUtil.console("进入继续调查");
            var name="survey_result";
            var title="入户调查"
            var frameUrl = "wgt://business/infoManage/survey/html/survey_result.html";
            var url="wgt://business/infoManage/common/html/common_naiv.html";
            var pageParam={
                    frameUrl: frameUrl,
                    title: title || "",
                    bounces: false,
                    reload: true,
                    frameParam: {
                        title: title,
                        from:{
                            winName:md.winName,
                            frameName:md.frameName
                        },
                        survey_result:survey_result
                    }
                };
            infoManageCommonFun.closeWinToIndex();

            infoManageCommonFun.refreshRootWin();

            md.openWin({
                name: name,
                url: url,
                reload: true,
                pageParam:pageParam
            });
        });
     }
     

    /**
     * 根据params拼接好sql
     * @param params {json} 参数
     * @return sqlData {json} json对象内放置了拼接好的sql语句
     */
    function  fnGetSqls(params){
        var update_ac01_sql =        
                                "update ac01 "+
                                  "set "+
                                       "aac003 = '" +(params.aac003||"")+"',"+
                                       "aac005 = '" +(params.aac005||"")+"',"+
                                       "aac004 = '" +(params.aac004||"")+"',"+
                                       "aac006 = '" +(params.aac006||"")+"',"+
                                    /* "aac009 = '" +(params.aac009||"")+"',"+ 使用居住证的人员不调查户籍性质*/
                                       "aac027 = '" +(params.aac027||"")+"',"+
                                       "aac011 = '" +(params.aac011||"")+"',"+
                                       "aae010 = '" +(params.aae010||"")+"',"+
                                       "aae005 = '" +(params.aae005||"")+"',"+
                                       "aae105 = '" +(params.aae105||"")+"',"+
                                       "aae106 = '" +(params.aae106||"")+"',"+
                                       "aae102 = '" +(params.aae102||"")+"',"+
                                       "aae012 = '" +(params.aae012||"")+"',"+
                                    /* "aac118 = '" +(params.aac118||"")+"',"+ 使用居住证的人员不调查是否被征地*/
                                       "aab304 = '" +(params.aab304||"")+"',"+
                                       "aab305 = '" +(params.aab305||"")+"',"+
                                       "aab306 = '" +(params.aab306||"")+"',"+
                                       "aab307 = '" +(params.aab307||"")+"',"+
                                       "aab308 = '" +(params.aab308||"")+"',"+
                                   /*  "aac010 = '" +(params.aac010||"")+"',"+
                                       "aab303 = '" +(params.aab303||"")+"',"+ 
                                       "aab302 = '" +(params.aab302||"")+"',"+  使用居住证的人员不调查户籍所在地
                                       "aab301 = '" +(params.aab301||"")+"',"+
                                       "aae008 = '" +(params.aae008||"")+"',"+
                                       "aae009 = '" +(params.aae009||"")+"',"+*/
                                       "aae006 = '" +(params.aae006||"")+"',"+
                                       "aac016 = '" +(params.aac016||"")+"',"+
                                       "aac019 = '" +(params.aac019||"")+"',"+
                                       "aab010 = '" +(params.aab010||"")+"',"+
                                       "aab011 = '" +(params.aab011||"")+"',"+
                                       "aab012 = '" +(params.aab012||"")+"',"+
                                       "aab013 = '" +(params.aab013||"")+"',"+
                                       "aac018 = '" +(params.aac018||"")+"',"+
                                       "aac032 = '" +(params.aac032||"")+"',"+
                                       "aae013 = '" +(params.aae013||"")+"',"+
                                       "aac017 = '" +(params.aac017||"")+"',"+
                                       "aae101 = '" +(params.aae101||"")+"',"+
                                 /*   "photoname = '" +(params.photoname||"")+"',"+照片路径暂时未加入*/
                                       "aae011 = '" +(params.aae011||"")+"',"+
                                       "aae036 = '" +(params.aae036||"")+"'"+
                                 "where jac001='"+(params.jac001)+"'";

        var update_ac01_a1_sql  = 
                                    "update ac01_a1 "+
                                       "set "+ 
                                           "aac034 = '"+ (params.aac034||"")+"',"+
                                           "aac035 = '"+ (              "2")+"',"+
                                           "yac101 = '"+ (params.yac101||"")+"',"+
                                           "pngurl = '"+ (params.pngurl||"")+"',"+
                                           "yac126 = '"+ (              "0")+"',"+
                                           "aab004 = '"+ (params.aab004||"")+"' "+
                                     "where jac001='"+(params.jac001)+"'";


        var aae130arr=["aic003","akc003","alc003","ajc003","amc003","aic003_wjy","akc003_wjy","ajc003_wjy"];
        var ac02_sql_arr=[];
        for (var i = 0,len = aae130arr.length; i < len; i++) {
            if (infoManageCommonFun.isEmpty(params[aae130arr[i]])) {
                continue;
            }
            var aae130=(function(o){
                switch(o){
                    case "aic003":
                        return "1";
                        break;
                    case "akc003":
                        return "2";
                        break;
                    case "alc003":
                        return "3";
                        break;
                    case "ajc003":
                        return "4";
                        break;
                    case "amc003":
                        return "5";
                        break;
                    case "aic003_wjy":
                        return "1";
                        break;
                    case "akc003_wjy":
                        return "2";
                        break;
                    case "ajc003_wjy":
                        return "4";
                        break;
                    default:;
                }
            })(aae130arr[i]);
            var aae140=params[aae130arr[i]];
            var insert="insert into ac02"+
                        "(jac001, aae130, aae140, aac031, aab301, aae011, aae036) values";
            var values=     "('"                  
                            +(params.jac001)+"','"
                            +(       aae130||"")+"','"
                            +(       aae140||"")+"','"
                            +(params.aac031||"1")+"','"
                            +(params.aab301||"")+"','"
                            +(params.aae011||"")+"','"
                            +(params.aae036||"")+"')" ;
            var ac02_sql=insert+values;
            ac02_sql_arr.push(ac02_sql);

        }
        var sqlData={};
        sqlData["update_ac01_sql"]=update_ac01_sql;
        sqlData["update_ac01_a1_sql"]=update_ac01_a1_sql;
        sqlData["ac02_sql_arr"]=ac02_sql_arr;
        return sqlData;
        
    }
    /**
     * 校验界面的值
     * 
     * @method setCode
     * @param {string}
     *            $this 所有字段的父元素
     * @return {json}
     *            data params 当前界面的参数,validate:验证是否通过，校验不通过时validate=false
     */
    function validateForm() {
            var data = {validate: false};
            var params = {};
            var aac016=prePageData.aac016;
            var aac019=prePageData.aac019;
            switch(aac016){
                case "0"://未就业
                    var yac101Value=$("div[field='yac101']").attr("value");//未就业是否参保
                    if (infoManageCommonFun.isEmpty(yac101Value)) {
                        Base.msgTip("请选择未就业已参保!");
                        return data;
                    }
                    params["yac101"]=yac101Value;
                    switch(yac101Value){
                        case "1"://未就业已参保
                            var insuredata=infoManageCommonFun.getInsuranceInfo(prePageData);
                            if (!insuredata.validate) {
                                Base.msgTip("险种不能为空");
                                return data;
                            }
                            $.extend(params,insuredata.params);
                            break;
                        case "0"://未就业未参保
                            var aae013Value=$("div[field='aae013']").attr("value");//未参保原因
                            params["aae013"]=aae013Value;
                            params["aac034"]='0';//是否参保标志为未参保
                            break;
                        default:;
                    }
                    break;
                case "1"://已就业
                    if (aac019=="0") {//省内就业

                        var aae013Value=$("div[field='aae013']").attr("value");//未参保原因
                        params["aae013"]=aae013Value;

                        if (infoManageCommonFun.isNotEmpty(aae013Value)) {
                            params["aac034"]='0';//1--已参保 0---未参保  选了未参保原因就是未参保
                        }else{
                            params["aac034"]='1';//1--已参保 0---未参保  省内就业默认已参保
                        }
                    }
                    if (aac019=="1") {//省外就业

                        var aac032Value=$("div[field='aac032']").attr("value");//就业是否参保

                        if (infoManageCommonFun.isEmpty(aac032Value)) {
                            Base.msgTip("请选择省外是否参保!");
                            return data;
                        }
                        params["aac032"]=aac032Value;
                        switch(aac032Value){
                            case "0"://已参保
                                var insuredata=infoManageCommonFun.getInsuranceInfo(prePageData);
                                if (!insuredata.validate) {
                                    Base.msgTip("险种不能为空");
                                    return data;
                                }
                                $.extend(params,insuredata.params);
                                break;
                            case "1"://未参保
                                var aae013Value=$("div[field='aae013']").attr("value");//未参保原因
                                if (infoManageCommonFun.isEmpty(aae013Value)) {
                                    Base.msgTip("未参保原因不能为空!");
                                    return data;
                                }
                                params["aae013"]=aae013Value;
                                params["aac034"]='0';//1--已参保 0---未参保
                                break;
                            default:;
                        }
                        
                    }
                    break;
                default:;

            }

            /*放入签名路径*/
            var pngUrl=$("div[field='pngurl']").attr("value");
            if (infoManageCommonFun.isNotEmpty(pngUrl)&&pngUrl.indexOf("png") > 0) {
                params["pngurl"]=pngUrl;
            }else{
                Base.msgTip("签名不能为空");
                data.validate=false;
                return data;
            }

            /*放入经办时间*/
            var aae036 = Base.getNowDatetime(); 
            params["aae036"]=aae036;

            /*放入调查类型--已调查*/
            params["aae101"]='1';

            /*放入APP用户ID*/
            var userInfo=JSON.parse(Base.getStorage("userInfo"));
            var aae011=userInfo.USERID;
            params["aae011"]=aae011;//APP用户ID
            
            data.params = params;
            data.validate = true;
            return data;
        }