﻿
/**
 *
 *调用的公共方法
 *
 */

var commonTool = {
  /*解决前面是.的问题：类似于类似的问题*/
  getratio: function(num){
      var numStart = num.substring(0,1);
      var numEnd = num.substring(1);
      if(numStart=="."){
        return "0"+numStart+numEnd;
      }
       return num;
    },


   /*获取当前时间年月日时分秒*/
  getAllNowFormatDate: function(){
      var date = new Date();
      var month = date.getMonth() + 1;  //月
      var strDate = date.getDate(); //日
      if (month >= 1 && month <= 9) {
          month = "0" + month;
      }
      if (strDate >= 0 && strDate <= 9) {
          strDate = "0" + strDate;
      }
      var allCurrentdate = date.getFullYear()+"/"+month+"/"+strDate
              +" "+date.getHours()+":"+date.getMinutes()+":"+date.getSeconds();
      return allCurrentdate;
  },

/*求两个时间的时间差,单位：分钟
*firstTime 首次验证成功实践
*secondTime2 第二次进入当前页时间
*/
timeDiff:function(firstTime,secondTime2){
  var first_time = new Date(firstTime);     //首次保存时间
  var second_time = new Date(secondTime2);
  var time_difference = parseInt(second_time - first_time) / 1000 / 60;//时间差(单位：秒)
  return time_difference;
},


//调用身份识别的接口
 getSiMsg:function(user,userinfo,type){
    var param={};
    param["real_name"]=userinfo.aac003;  //真实姓名
    param["si_card_no"]=user.yac005;  //社保卡号 
    param["id_card"]=userinfo.aac002; //身份证号码
    Base.requestServerba("checkSiMsgyb",param,function(datas) {
        if(datas.code==1){//成功
            var yab139 = datas.output[0].prm_yab139; //所属分中心  省社保提醒
            var akc021 = datas.output[0].prm_akc021;  //退休人员才可以办
         /*   if (akc021.substring(0,1) == "2") { */ //正式22
              var param = {};
              param.reload = true;
              param.hAuto = true;
              md.setPrefs({key: 'yab139',value: yab139});
              param.url = "wgt://cdsim/nav/top_nav.html";
              if(type=="proIn"){ //省内
                href = "affairs/inRecord.html";
                param.name = "inRecord";
                param.title = "省内异地就医登记备案";
                param.framePageData={"provice":"proIn","yab139":yab139}
              }else{  //省外
                href = "affairs/outRecord.html";
                param.name = "outRecord";
                param.title = "省外异地就医登记备案";
                param.framePageData={"provice":"proOut","yab139":yab139}
              }
              Base.gotoView(href, param); 
           /* }else{
              Base.msgTip("您不是长期异地居住退休人员，不能办理");
              return;
            }*/
        }else{
            Base.msgTip(datas.message);
        }
   },true);
},

/*判断参保人的有效备案条数
*aac001 :个人编号
*yac005：社保卡号(后台获取所属地区)
*ydtype:1是省内 2是省外
*/
 jugeAreaComm:function(aac001,yac005,ydtype,winName,frameName){
   var count = 0;
   var akb020s = "";
   var limitnum = "";
    var param={};
    param["svrCode"]="yhsizhyb10001";
    param["jybh"]="030";
    param["aac001"]=aac001;  //社保个人编号  //测试使用1010658881
    param["ydtype"]=ydtype;    //1是省内 2是省外 
    param["si_card_no"]=yac005; //为了查询所属地区传yac005
    Base.requestServerba("queryDataba",param,function(datas) {
        if(datas.code==1){
           count = datas.data.result.resultdata.array.ncount;
           limitnum = datas.data.result.resultdata.array.limitnum;
           var akb020s="";
           if(ydtype == "1"){ //省内
              akb020s = datas.data.result.resultdata.array.akb020s;
           }else{ //省外
              akb020s = datas.data.result.resultdata.array.akc040s;
           }
            md.execScript({
                    name: winName,
                    frameName: frameName,
                    script: 'judgeCount("'+count+'","'+akb020s+'","'+limitnum+'");'
            });
        }else{
          Base.msgTip(datas.message);
        }
    },true);


},

/*判断各个地州市的条数*/
getJudgeCount:function(count,akb020s,ydtype,winName,frameName){


    md.execScript({
        name: winName,
        frameName: frameName,
        script: 'jugeArea("'+count+'","'+akb020s+'");'
    });


},

/*添加就医地区的公共方法
*tagbmData :目前横线上所显示的所有就医医院
*si_card:社保卡号
*winName :跳转页面的名称
*handle = affairs 代表备案登记   handle = change 代表变更
*protype = "area" 代表
*allCount 代表目前备案的总条数+已经选择还未备案的条数
*nakb020s : 代表有效备案的统筹机构+已经选择但是未备案的统筹机构
*title:所跳转页面的title
*handle="affairs" 备案登记  handle=“change"备案变更
*protype 用来判断选择完就医地或者就医医院时应该调用area.html还是hospital.html的这个showAllDate();方法
*allLimitnum :限定办理异地备案的条数
*/
 addComm : function(tagbmData,si_card,winName,allCount,nakb020s,title,handle,allLimitnum){
   var perAllDate=[];  //用于本页面当前所获取的数据
    if (tagbmData.length>0) {
        for (var i = 0; i < tagbmData.length; i++) {
           var preData = tagbmData.eq(i).attr("tagbm"); 
           var newpreData =JSON.parse(preData);
           perAllDate.push(newpreData);
        }
    }
    var param = {};
    param.reload = true;
    param.url = "wgt://cdsim/nav/top_navFour.html";
    href = "affairs/"+winName+".html"; 
    param.name = winName;
    param.title = title;
    param.framePageData={"si_card":si_card,"handle":handle,"ncount":allCount,"perAllDate":perAllDate,"akb020s":nakb020s,"protype":winName,"allLimitnum":allLimitnum};
    Base.gotoView(href, param);  
 },

/*选择完就医医院或者就医地区后的回调函数的公共方法
*hospitalAllData 代表所选但并未备案的医院或者就医地区的数组数据
*dytype: proIn 代表省内  proOut代表省外
*/
 getgetAAA102Comm :function (hospitalAllData,dytype){

      var oldhospitalData =JSON.parse(hospitalAllData);
      var address ="";
      for (var i = 0; i < oldhospitalData.length; i++) {
         var name="";
        var aab301 = ""; //就医医院的地区编码
          if(dytype == "proOut"){
              name =oldhospitalData[i].aaf011;   //就医地区名称
              aab301 = oldhospitalData[i].aab301; 
          }else{
              name =oldhospitalData[i].aaa103;  //就医医院名称
          }
          
          var hospitalData =JSON.stringify(oldhospitalData[i]); //换成字符串传过去
          address +='<div class="md-box del '+aab301+' " tagbm=\''+hospitalData+'\' >'
                    +'<div class="b-color">'+name+'</div>'
                    +'<div class="md-box md-ac m-del md-pc">'
                    +'</div>'
               +'</div>';
      }
     return address;
},



/*调用提交登记备案公共方法
*strPerson 个人基本信息
*tagArr ；横线上已选择未备案的就医地区或者就医医院
*ydtype ：类型：ydtype="proOut" 省外  ydtype="proIn" 省内
*successMsg:备案成功后的提示信息
*/

gethandleComm :function (strPerson,$tagArr,ydtype,successMsg){
    var jsonPerson = JSON.parse(strPerson);
    var yac005 = jsonPerson.yac005;
    var texta  = jsonPerson.texta;
    var xml="";
    for (var i = 0; i < $tagArr.length; i++) {
        var areaAab301 = $tagArr.eq(i).attr("tagbm");  //已经选中但是未备案的就医地区或者就医医院
         var newHosMsg =JSON.parse(areaAab301);
         var aab301 = "", aaa102="",aaa103 ="" ; //异地就医统筹区;
        if(ydtype == "proOut"){
             aab301 = newHosMsg.aab301;   //异地就医统筹区(就医地区)
             aaa102 = "$$$$$$";
        }else{ //省内
            aab301 = newHosMsg.aaf018;  //异地就医统筹区（就医医院）
            aaa102 = newHosMsg.aaa102; //服务机构编码
            aaa103 = newHosMsg.aaa103  //服务就够名称

        }

         xml += '<row><sbbm>'+aac001+'</sbbm><aae030></aae030><aae031></aae031><aka181>1</aka181><channel>02</channel>'
            +'<aka130>31</aka130><akc040>'+aab301+'</akc040><akb020>'+aaa102+'</akb020><akb021>'+aaa103+'</akb021><yke109>'+texta+'</yke109></row>'; 

    }
    if(xml != ""){
        xml = "<input><sbmtdata><sdata>" + xml + "</sdata></sbmtdata></input>";
    }

    var param={};
    param["svrCode"]="yhsizhyb10001";
    param["jybh"]="025d";
    param["sdata"]=xml;
    param["si_card_no"]=yac005; //为了查询所属地区传的
    param["startrow"]="1";
    param["endrow"]="10";
    Base.requestServerba("queryDataba",param,function(datas) {
        if(datas.code=="1"){
            Base.msgTip(successMsg);
            md.closeWin();
        }else{
           md.alert({
               msg: datas.msg
           });
        }
    },true);

},



/*选择提交时所调用的公共方法
*count：代表有效的备案条数
*ydtype = “proIn" 省内 ydtype=”proOut“ 省外
*$tagArr ；代表横线上已经选择但未备案的医院或者就医地区
*yab139  判断是否是省本级的人
*allLimitnum :异地备案最多办理的条数
*/

submitComm : function (count,ydtype,$tagArr,yab139,allLimitnum){
  var allLimitnum = parseInt(allLimitnum);
   var message ="";
  if(ydtype == "proOut"){
       if(count>=allLimitnum){
        md.confirm({
            msg: '您省外异地就医备案已经存在'+allLimitnum+'条有效的备案信息,暂时不能办理！',
            buttons: ['确定']
        });
            return;
        }

  }else{
       if(count>=allLimitnum){
        md.confirm({
              msg: '您省内异地就医备案已经存在'+allLimitnum+'条有效的备案信息,暂时不能再办理！',
            buttons: ['确定']
        });
            return;
        }

  }

    //凭借确认提交提示
    var warmMeg="";
    for (var i = 0; i < $tagArr.length; i++) {
        var hosMsg = $tagArr.eq(i).attr("tagbm");
        var newHosMsg =JSON.parse(hosMsg);

        if(ydtype == "proOut"){
          warmMeg += newHosMsg.aaf011+" ";  //省外就医地的名称
        }else{ 
          warmMeg += newHosMsg.aaa103+" "; //省内就医地区名称
        }
        


    }
      var tipmsgnew = md.getPrefs({key: 'tipmsgnew'});
      tipmsgnew= tipmsgnew.replace("customctt",warmMeg);  //只取第一点
      var tipmsg = md.getPrefs({key: 'tipmsg'});
      tipmsg= tipmsg.replace("customctt",warmMeg); //取所有的123点
    if(yab139 == "9906" || yab139 == "9907"){
      message = tipmsgnew;
    }else{
        message=tipmsg.replace(/(<br>)/g,'\n');
    }
    return message;

},


/*更新的公共方法
*personMsg:个人基本信息
*ydtype：ydtype=“proIn"省内  ydtype=”proOut“省外
*strTag ：判断查询变更信息 的方式(“”为全部查询、1为省内查询，2为省外查询)
*/
updateComm:function (personMsg,ydtype,newHosAreaMsg,strTag){  
    personMsg = JSON.parse(personMsg);
    var param={};
    param["svrCode"]="yhsizhyb10001";
    param["jybh"]="025b";
    param["aac001"]=aac001;  //社保个人编号  //测试使用1010658881
    param["yae099"]=yae099;  //业务流水号

    if (ydtype == "proIn") {
        param["akc040"]=newHosAreaMsg.aaf018;  //异地统筹区编码
        param["akb020"]=newHosAreaMsg.aaa102; //服务机构编号
        param["akb021"]=newHosAreaMsg.aaa103; //服务机构名称

    }else{
          param["akc040"]=newHosAreaMsg.aab301;  //异地统筹区编码
          param["akb020"]="$$$$$$"; //服务机构编号
          param["akb021"]=""; //服务机构名称
    }
    param["akc040org"]=personMsg.akc040org;
    param["akb020org"]=personMsg.akb020org;
    param["si_card_no"]=personMsg.yac005;
    param["startrow"]="1";
    param["endrow"]="10";
    Base.requestServerba("queryDataba",param,function(datas){
          var newstrTag ="";
          if(datas.code==1){
            if(strTag == "2"){ //省内
               newstrTag = "1";

            }if(strTag == "3"){ //省外
                newstrTag = "2";
            }
            md.execScript({
                name: 'update',
                frameName: 'update_frame',
                script: "getBaseMsg('"+newstrTag+"');"
            });
            md.closeWin();

        }else{
           md.alert({
                msg: datas.msg,
                
            });
        }
     

    },true);

},


/*回调更改页面的方法
*allData:带回更改页面的所有数据
*typeMsg ：typeMsg=“proIn” 省内 typeMsg=“proOut” //省外
*winNameaffairs :代表异地备案的window
*winNameChage :代表变更的windows
*bzallCount :目前area.htnl 或者hospital.html选中的页面
*/
showAllDateComm:function (allData,typeMsg,winNameaffairs,winNameChage,bzallCount){

     var strData = JSON.stringify(allData);
     if (allData.length<=0) {
        if(typeMsg=="proOut"){
           Base.msgTip("请先选择就医医院");
        }else{
          Base.msgTip("请先选择就医所在的地州市");
        }
       
        return;
    }
    if(handle == "affairs"){ //办理
        md.execScript({
            name: winNameaffairs,
            frameName: winNameaffairs+'_frame',
            script: "getAAA102('"+strData+"','"+bzallCount+"')"
        });
    }else{ //变更
        md.execScript({
            name: winNameChage,
            frameName: winNameChage+'_frame',
            script: "getAAA102('"+strData+"')"
        });
    }
    md.closeWin();
},



getRemoveData :function (newStr,$this,preaaf018,ydtyepe){

  //去掉样样式，同样要移调数据
        var aab301 = newStr.aab301; //获取服务机构来判断删除哪些数据
        $this.find(".hos-name").removeClass("r-color");
        $this.find(".hos-right").removeClass("img-right")
        $this.attr("state","false");
        var strNum = $("#"+preaaf018).text();
        var intNum = parseInt(strNum);
        hosCount = intNum-1;
        bzallCount=bzallCount-1;//删掉减1    
        if(hosCount>=0){
            $("#"+preaaf018).text(hosCount);
            for (var i = 0; i < allData.length; i++) {
                if(allData[i].aab301 ==aab301){
                 allData.splice(i,1);
                }
            }
            if(hosCount==0){
                $("#"+preaaf018).text("");
                $("#"+preaaf018).removeClass("mum");
            }else{
                $("#"+preaaf018).text(hosCount);
            }

        }
},

/*检查电子社保卡是否开通，并验证*/
isOpendzsbk:function(type,callBack){
  var sceneTypeChage ="";
  var validate =  Base.getStorage("validate");
  if(typeof validate != "undefined" && validate == "1"){
            callBack("1");
            return;
   }
  var param = {};
  param["aac002"]=Base.getStorage("aac002");
  Base.requestServer("queryMdescc",param,function(datas){
    if(datas.code == "1"){
        //Base.setStorage("yac005",datas.data.yac005);
        var signData = datas.data;
        /*md.actionSheet({
            title: '请选择认证方式',
            cancelTitle: '取消',
            buttons: ['人脸识别认证','电子社保卡密码认证']
        }, function(ret, err){
            if( ret ){
                if(ret.buttonIndex == "1"){
                    sceneTypeChage = 9;
                    commonTool.fncertification(sceneTypeChage,signData,callBack);
                }else if(ret.buttonIndex == "2") {
                     sceneTypeChage = 3;
                     commonTool.fncertification(sceneTypeChage,signData,callBack);
                }
            }
        });*/
        if(type == "true"){
                md.actionSheet({
                title: '请选择认证方式',
                cancelTitle: '取消',
                buttons: ['人脸识别认证','电子社保卡密码认证']
                }, function(ret, err){
                    if( ret ){
                        if(ret.buttonIndex == "1"){
                            sceneTypeChage = 3;//9
                            commonTool.fncertification(sceneTypeChage,signData,callBack);
                        }else if(ret.buttonIndex == "2") {
                             sceneTypeChage = 1;//3
                             commonTool.fncertification(sceneTypeChage,signData,callBack);
                        }
                    }
                });

            }else{
              sceneTypeChage = 1;  //密码认证 3
              commonTool.fncertification(sceneTypeChage,signData,callBack);
            }
    }else{

       //直接跳转到申领页面
        md.openWin({
             name: 'isOpendzsbc_win',

             url:  "wgt://cdsim/mdescc/isOpendzsbc.html",
             pageParam: {
                 name: 'test'
             }
        });
 
    }

  },true);

},


fncertification:function(sceneTypeChage,signData,callBack){
              var aac003 = Base.getStorage("aac003");  //姓名
              var aac002= Base.getStorage("aac002");  //身份证
              var aae005= Base.getStorage("aae005"); //电话号码 
              var param={};
              param["aac002"] = aac002;
              param["aab301"] = signData.aab301;
              param["aac067"] = signData.aac067;
              param["aac003"] = aac003;
              param["signNo"] = signData.signNo;
              param["busiSeq"] = signData.busiSeq;
              param["historyFlag"] = "";
              param["isIndepen"]="1";//用于判断是否为电子社保卡独立服务，0否，1是
              Base.requestServer("encryMdescc",param,function(datas){
                if(datas.code == "1"){
                    var sdkData = {};
                    sdkData["envType"] = Base.envType;
                    sdkData["sceneType"] = sceneTypeChage;
                    sdkData["isBackSupport"] = true;
                    sdkData["sign"] = datas.data.sign;
                    mdescc.openSceneSDK(sdkData,function(ret){
                        console.log("-----"+JSON.stringify(ret));
                          if (ret.status  && ret.code == 0 ) {
                           var retMsg=JSON.parse(ret.msg);
                           if(retMsg.actionType == "011"){  //人脸 9
                              console.log("--msg人脸---"); 
                               mdescc.closeSdk();
                               Base.setStorage("validate","1");
                               setTimeout(function(){
                                    callBack("1");
                                 },200);
                            }else if(retMsg.actionType == "009"){//电子社保卡
                              console.log("--msg密码---");
                              if (retMsg.busiSeq) {
                                  mdescc.closeSdk();
                                  var validate ={};
                                  validate["busiSeq"]=retMsg.busiSeq;
                                  validate["signNo"]= signData.signNo;
                                  validate["aac067"]= "";
                                  validate["validateType"]="2";
                                  Base.requestServer("messgeMdescc",validate,function(datas){
                                     if(datas.code == "1"){
                                        if(datas.data.resultFlag == "1" && datas.data.busSeqFlag == "1"){
                                          Base.setStorage("validate","1");
                                          var time = commonTool.getAllNowFormatDate();
                                          md.setPrefs({ key: 'time',value: time});   //存储当前时间
                                          callBack("1");
                                        
                                        }else{
                                           Base.msgTip(datas.data.reason);
                                        }
                                     }else{
                                        Base.msgTip(datas.message);
                                     } 
                                  },true);
                              }  
                           }

                        }
                    });
                
                }else{
                  Base.msgTip(datas.message);
                }
              },true);
},



/**打开我的电子社保卡*/
presonEscc:function(callBack){
     var param = {};
     var esscData ;
      param["aac002"]=Base.getStorage("aac002");
      Base.requestServer("queryMdescc",param,function(datas){
        if(datas.code == "1"){
            var signData = datas.data;
            var aac003 = Base.getStorage("aac003");  //姓名
            var aac002= Base.getStorage("aac002");  //身份证
            var aae005= Base.getStorage("aae005"); //电话号码
            var param={};
            param["aac002"] = aac002;
            param["aab301"] = signData.aab301;
            param["aac067"] = signData.aac067;
            param["aac003"] = aac003;
            param["signNo"] = signData.signNo;
            param["busiSeq"] = signData.busiSeq;
            param["historyFlag"] = "";
            param["isIndepen"]="0";//用于判断是否为电子社保卡独立服务，0否，1是
            Base.requestServer("encryMdescc",param,function(datas){
              esscData = datas.data;
              if(datas.code == "1"){

                var sdkData = {};
                sdkData["sdkType"]=1;
                sdkData["envType"] = Base.envType;
                sdkData["isBackSupport"]=true;
                sdkData["sign"] = datas.data.sign;
                mdescc.openSDK(sdkData,function(ret){
                    if (ret.status  && ret.code == 0 ) {
                        var retMsg=JSON.parse(ret.msg);
                        if (retMsg.actionType == "003") { //004代表密码解绑返回的信息
                            Base.removeStorage("validate");
                        }
                          
                    }
                });
              
              }else{
                Base.msgTip(datas.message);
              }
            },true);

       }else{
            //直接跳转到申领页面
            md.openWin({
                 name: 'isOpendzsbc_win',

                 url:  "wgt://cdsim/mdescc/isOpendzsbc.html",
                 pageParam: {
                     name: 'test'
                 }
            });
            
       }
    },true);
}

};