onViewCreate=function(){
};

var nakb020s = "";  //统筹区编码
var allCount=0;    //所有的有效备案信息
var count=0; //保存原始有效备案信息的条数
var allLimitnum =0;
var newTag = "false";

onViewOpen=function(){
    yab139 = md.pageParam.yab139;
    user_data = md.getPrefs({key: 'user_data'});
    user = JSON.parse(user_data); 
    user_info = md.getPrefs({key: 'user_info'});
    userinfo = JSON.parse(user_info);
    aac001 = userinfo.aaz001; 
    $("#real_name").html(userinfo.aac003);
    $("#si_card").html(user.yac005);
    $("#id_card").html(userinfo.aac002);
    commonTool.jugeAreaComm(aac001,user.yac005,"2","outRecord","outRecord_frame");
};


/*判断异地就医备案的有效记录
*judgecount :代表查到的有效条数
*judgeakb020s：代表异地备案统筹区编码
*/
function judgeCount(judgecount,judgeakb020s,limitnum){
    judgecount = parseInt(judgecount);
    allLimitnum = parseInt(limitnum);
    if (judgecount <allLimitnum) {
          allCount = judgecount;  
          nakb020s = judgeakb020s; 
          count = judgecount;
          newTag = "false";
     }else{
        $(".m-add").addClass("m-display");
          md.confirm({
              msg: '您省外异地就医备案已经存在'+allLimitnum+'条有效的备案信息,暂时不能办理！',
              buttons: ['确定']
          });
        newTag = "true";
     }

}


/*点击统筹机构名称的时候*/
Base.click(".m-add",function($this){
    var perAllDate=[];  //用于本页面当前所获取的数据
    var si_card = $("#si_card").html();
    var tagbmData = $("[tagbm]"); 
    commonTool.addComm(tagbmData,si_card,"area",allCount,nakb020s,"请选择就医地区","affairs",allLimitnum);
});


/*点击提交按钮时*/
Base.click(".m-submit",function($this){
   var $tagArr = $("[tagbm]");
    if(newTag == "true"){
         Base.msgTip("您省外异地就医备案已经存在"+allLimitnum+"条有效的备案信息,暂时不能再办理！");
         return;
    }
    if($tagArr.length ==0 ){
         Base.msgTip("请选择就医地区");
         return;
    }
    var message = commonTool.submitComm(count,"proOut",$tagArr,yab139,allLimitnum);
    //显示弹出框   
    md.confirm({
        msg: message,
        buttons: ['确定', '取消']
    }, function(ret, err){
        if(ret.buttonIndex=="1"){
           handle($tagArr);
        }
    });
   
});


function handle($tagArr){
    var texta = $(".texta").val();
    var yac005 = $("#si_card").html(); 
    var strPerson = {"texta":texta,"yac005":yac005};
    strPerson = JSON.stringify(strPerson);
    commonTool.gethandleComm(strPerson,$tagArr,"proOut","省外异地备案登记成功");
   
}


/*获取统医院编码和名称
*hospitalAllData:所有选中的值(就医医院或者就医地区)
*bzallCount 代表选中但并未备案的+已经是有效备案的总条数
*/
function getAAA102(hospitalAllData,bzallCount){
    var  bzallCountInt = parseInt(bzallCount);
    var address = commonTool.getgetAAA102Comm(hospitalAllData,"proOut");
     allCount = bzallCountInt;
    if(allCount>=allLimitnum){  //正好大于等于最大限度
        $(".m-add").addClass("m-display");
    }
      $(".m-ylname").html(address);
  }


/*点击删除选中但未备案的地州市或者医院的公用方法
*allCount :有效备案的总条数+ 已经选择但是还未备案的总
*$tagArr :代表横线处现在选中但未备案的条数
*/

Base.click(".del",function($this){
    $this.remove();
    allCount = allCount-1;
    var $tagArr = $("[tagbm]");
    $(".m-add").removeClass("m-display");
    if($tagArr.length<=0){
        $(".m-ylname").html("请选择就医地");
    }

});

