;(function($) {
    var code = "code";//服务器返回 标志
    var successCode = "1"; //交易成功
    var errorMsg = "message";//错误信息
    if(typeof Base == "undefined") {
        Base = {};   
        window.Base = Base; 
    }
    // extend函数用于将一个或多个对象的内容合并到目标对象。
    $.extend(Base,  {
    //本机后台地址
     //"serverPath":"http://192.168.1.112:8081/gzsapp_server/front/services/",

    //外部测试环境地址

    "serverPath": "http://222.85.128.67:8903/gzsqs/front/services/",
  
    //外部正式环境的地址(能访问电子社保卡的)
    //"serverPath":"http://222.85.128.67:7000/gzsqs/front/services/",

    //外部正式环境的地址(发布到应用商城正在调用的)
    //"serverPath":"http://118.112.188.109:90/gzsqs/front/services/" ,

   /**
    *调用医保app后台
   */

   //服务器(测试)
   //"serverPathba" :"http://222.85.128.71:9017/siappserver",

   //本机测试
   //"serverPathba" :"http://192.168.31.243:8083/siappserver"


   //服务器(正式)
     "serverPathba" :"http://222.85.128.71:8078/siappserver"

    });
    //接口地址
    Base.urlPath = {
        "login": "app/login", //登录交易入口   
        "queryData": "app/queryData",//普通交易入口    参数必须有jybh字段 
        "ckQueryData": "app/ckQueryData", //校验token 交易入口  参数必须有jybh字段 
        "surverData" :"app/surverData" , //入户调查交易接口
        "send":"app/send",//短信验证的入口
        "queryStoreOrder":"app/queryStoreOrder",
        "getQrCode":"app/getQrCode",
        "queryMdescc": "app/queryMdescc",//电子社保卡查询
        "encryMdescc": "app/encryMdescc",//电子社保卡加密串
        "messgeMdescc": "app/messgeMdescc",//验证并获取电子社保卡信息
        "queryKite": "app/queryKite",//验证是否开通线上支付
        //"speDrugSearch":"app/speDrugSearch",//特殊药品订单查询 
        "speDrugSearch":"/appBusiness/preSettlement.do",//特殊药品订单查询
        "waitPayOrder":"app/waitPayOrder",//特殊药品订单查询  
        "setPwd": "app/setPwd",//是否开通线上支付
        "queryDataba":"/appBusinesssb/queryDatayb.do",  //备案查询接口
        "checkSiMsgyb":"/appBusinesssb/checkSiMsgyb.do",
        "queryDataSp":"/appBusiness/queryData.do",//特药查询（已支付订单）
        "specialDrugs":"/appBusiness/specialDrugs.do", //特殊药品查询   
        "queryOrderStatus":"/app/queryOrderStatus",  //轮循调用支付订单
        "orderConfirm":"/app/orderConfirm"  //医疗机构二维码订单结算确认
    },

    /**
     * 点击事件
     * 
     * @method click
     * @param {string}
     *            selector 必选 选择器
     * @param {function}
     *            func 必须 回调方法， 接收两个参数1：点击当前元素$(this), 2: 点击事件状态e
     */
    Base.click = function(selector, func, act) {
        
        var eventName = "click";
        $(document).on(eventName, selector, function(e) {
            var $this = $(this);
            func($this, e);
        });
    }

    /**
     * 显示gifMask
     * @method showGifMask
     */
    Base.showGifMask = function(text) {
        if(!text){
            text = "加载中...";
        }
        md.showProgress({
            content: text,
            modal: false

            
        });
    }
    /**
     * 移除gifMask（与showGifMask相对应）
     * @method removeGifMask
     */
    Base.removeGifMask = function() {
        md.hideProgress();
    }
    /**
     * 消息提示（轻）
     * @method msgTip
     * @param {String} msg 必选 提示内容
     * @param {time: 持续时间, top: top, left: left, bottom: bottom, right: right} 可选
     */
    Base.msgTip = function(msg, param) {
       if (arguments.length == 1) {
            param = {};
        }
        var _t = param["time"] || 5000;
        md.toast({
            msg: msg,
            duration: _t,
            location: 'middle'
        });
    }


     /**
     * 存入本地存储
     * 
     * @method setStorage
     * @param {String} k 必选 键
     * @param {Object} val 必选 值
     */
     Base.setStorage=function(key, value) {
            if (window.localStorage) {
                window.localStorage[key] = value;
                alert(value);
    //          window.localStorage.setItem(key, value);
            } else {
                alert('localStorage null');
            }
        
    };
    /**
     * 获取本地存储
     * 
     * @method getStorage
     * @required {String} key 必选 键
     * @return {Object} 返回对应的值
     */
    Base.getStorage=function(key) {
            if (window.localStorage) {
                return window.localStorage[key];
    //          return window.localStorage.getItem(key);
            } else {
                alert('localStorage error');
            }
        
    };


    Base.removeStorage=function(k) {
            md.removePrefs({ key: k });
           
    };

  /**
   * 创建上拉下拉刷新
   * @param {int} type 0/不传： 上拉下拉刷新； 1：下拉刷新；2：上拉刷新
 */

Base.creatRefresh = function(type, down, up) {
        if(down == undefined) {
            down = function() {
                setTimeout(function() {
                    pullRefresh.headerDone();
                }, 1000);
            };
        }else{
            pullRefresh.setHeader(down); 
        }
        if(up == undefined) {
            up = function() {
                setTimeout(function() {
                    pullRefresh.footerDone();
                }, 1000);
            };
        }else{
            pullRefresh.setFooter(up);
        } 
    };
    Base.removeDown = function() {
        pullRefresh.headerDone();
    };
    Base.removeUp = function() {
        pullRefresh.footerDone();
        
    };

    /**
     * 打开window
     */
    Base.openWin = function(data){
        
        md.openWin({
            name: data.name, //window名字，不能为空字符串
            url: data.url, //页面地址
            animation :data.animation, //（可选项）动画参数，不传时使用默认动画（从右往左推入）
            bounces: data.bounces || false, //（可选项）页面是否弹动
            reload: data.reload, //是否重新加载页面
            pageParam: {
                isRelavte : data.isRelavte, //相对布局方式
                frameName: data.frameName || "",
                frameUrl: data.frameUrl || "",
                title: data.title || "",
                bounces: data.bounces || false, //（可选项）页面是否弹动
                reload: data.reload, //是否重新加载页面
                hAuto: data.hAuto,
                scaleEnabled: data.scaleEnabled || false,
                framePageData: data.framePageData
            } //（可选项）页面参数，新页面中可以通过md.pageParam获取
        });
        
    }

   
    //跳转页面
    Base.gotoView = function(href, params) {
        // TODO 待修改
        if(!href) {
            return;
        }
        md.openWin({
            name: params.name || "common_nav",
            url: params.url || "wgt://cdsim/nav/top_nav.html",
            animation:params.animation || { type:"push", subType:"from_right", duration:300},
            pageParam: {
                frameUrl: "wgt://cdsim/" + href,
                name: params.name + "_frame" || href,
                bounces:params.bounces||false,
                reload: params.reload||false,
                title: params.title,
                hAuto: params.hAuto,
                framePageData: params.framePageData 
            },
            reload: true
        });
    }

    //获得参数
    Base.getParams = function() {
        return md.pageParam;
    }

    // 拨打电话
    Base.call = function(number) {
        md.call({
            type: 'tel_prompt',
            number: number
        });
    } 

    //社保登录
    Base.login = function() {

        var name = "userlogin";
        var href = "login/userlogin.html"; 
        var title = "社保账号登录"; 
        var animation = {
            type:"movein",                //动画类型（详见窗口动画类型常量）
            subType:"from_bottom",       //动画子类型（详见窗口动画子类型常量）
            duration:300                //动画过渡时间，默认300毫秒
        }
        Base.gotoView(href, {title: title, name: name, hAuto: true, animation:animation});      
        
    }

    //社保卡拉SDK，正式环境2,测试环境1
    Base.envType=2;

    //敬请期待
    Base.creatWait = function() {
        var wait = '<div class="wait-content md-box md-f1 md-ac md-pc">'+
                    '<div class="wait-info">'+
                    '<div class="md-box">'+
                    '<div class="min-width"></div>'+
                    '<div class="no-info md-img md-f1"></div>'+
                    '<div class="min-width wait-close md-img"></div>'+
                    '</div>'+
                    '<div class="wait-word">该功能正在开发中，敬请期待！！</div>'+
                    '</div></div>';
        $("body").append(wait);
        $(document).on("tap",".wait-close",function(){
            $(".wait-content").remove();
        })
    }


    /**
     * 没有数据显示显示
     */
    Base.noDataPage = function(selector, text) {
        var $n = $(selector);
        if(!$n[0]) {
            $n = $(".md-content");
        }
        
        if(text == undefined){
            text = "无相关数据";
        }
        var div =""
        if(selector ==".detailInfos"){
             div = '' +
            '<div class="md-box md-ac md-pc md-ver md-f1" style="margin-top:35%">'+
            '<div class="md-box no-page-img md-img"></div>'+
            '<div class="md-box no-text1">'+text+'</div>'+
            '</div';
        }else{
             div = '' +
            '<div class="md-box md-ac md-pc md-ver md-f1">'+
            '<div class="md-box no-page-img md-img"></div>'+
            '<div class="md-box no-text1">'+text+'</div>'+
            '</div';

        }

       
        $n.html(div);
    };
    
    /**
     * 请求服务
     * @method requestServer 
     * @param {String} urlType 根据类型取得服务器地址 必选
     * @param {String} data 请求参数对象  必选可为null， 
     * @param {String} callback 回调方法  可选
     * @param {Boolean} mask 是否显示蒙层 可选 默认false
     * @param {String} type 请求方式:post,get 可选  默认post
     */
    Base.requestServer = function (urlType, param, callback, mask, type, nopage) {
        urlType = $.trim(urlType);  //根据类型取得服务器地址
        var url = ""; 
        if(urlType.indexOf("http://") != -1) {
            url = urlType;
        } else {
            url = Base.serverPath + Base.urlPath[urlType];
        }
        param = param || {};  //传的参数
        type = type || "post"; 
        var access_token = Base.getStorage("access_token");
        if(access_token == undefined) {
            access_token = "";
        }

        param["access_token"] = access_token;
        if(mask) {
            Base.showGifMask();
        } 
        //console.log("--in--:" + url +"----"+ JSON.stringify(param));
         rsaEncrypt.encrypt(param,function(ret,err){
             if(ret){
        //console.log("--rsa--"+JSON.stringify(ret));
         //加密成功执行请求方法
        var ajax = $.ajax({
            type: type,
            contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
            url: url,
            /*data:param,*/
            data: ret,
            success: function(data) {
                Base.removeGifMask();
                console.log("--out------:" + JSON.stringify(data));
                if(typeof data == "string") {
                    data = Base.strToJson(data);
                }
                if(data.appcode=="1"){
                    Base.msgTip(data.appmsg);
                    return;
                }
                if( data[code] == successCode ||data[code] == "0000" ){
                        callback(data);
                }else if(data[code] !="1"){
                    if(typeof data.errorMsg=="undefined"){
                           callback(data);
                    }else{
                        Base.msgTip(data[errorMsg]);
                    }
                }
                
            },
            error: function(xhr, type) {
                Base.removeGifMask();
                Base.msgTip("网络错误");
            }
        });
         }else{
                 //错误信息，如果没有配置公钥，传入的参数不对，加解密错误等提示信息
               md.toast({msg:err});
            }
         });

    }


     //异地备案调用接口
     Base.requestServerba = function (urlType, param, callback, mask, type, nopage) {
        urlType = $.trim(urlType);  //根据类型取得服务器地址
        var url = ""; 
        if(urlType.indexOf("http://") != -1) {
            url = urlType;
        } else {
            url = Base.serverPathba + Base.urlPath[urlType];
        }
        param = param || {};  //传的参数
        type = type || "post"; 
        if(mask) {
            Base.showGifMask();
        } 
        console.log("--in--"+ JSON.stringify(param));
         rsaEncrypt.encrypt(param,function(ret,err){
            if(ret){
                ret["app_channel_id"] = "002";
                md.ajax({
                    url: url,
                    method: type,
                    tag:'postmethod',
                    data: { values: ret }
                },function(ret, err){
                    if(ret){
                        Base.removeGifMask();
                        console.log("--out--:" + JSON.stringify(ret));
                        var data = ret.body;
                            callback(data);
                            
                    }else{
                        Base.removeGifMask();
                        if(err.statusCode == '0'){
                            md.toast({
                                msg: '网络异常，请稍后再试',
                                duration: 2500,
                                location: 'middle'
                            });
                        }else{
                            md.toast({
                                msg: '请求失败，请稍后再试',
                                duration: 2500,
                                location: 'middle'
                            });
                        }
                    }
                });
              
            }else{
                //错误信息，如果没有配置公钥，传入的参数不对，加解密错误等提示信息
                md.toast({msg:'参数错误！'});
                
            }
        
        });     

    }


     //这里是推送消息被点击的回调 ,对所有推送消息的点击事件做处理
     Base.addEventListener=function(){
        md.addEventListener({
            name: 'notifyclicked'
        }, function(ret, err){
            //后续的操作可根据需求来添加
             alert(JSON.stringify(ret));
        });

     }


   Base.getNowDatetime = function() {
        var date = new Date();
        return date.getFullYear()+"-"+_formatDate(date.getMonth()+1)+"-"+_formatDate(date.getDate())+" "+_formatDate(date.getHours())+":"+_formatDate(date.getMinutes())+":"+_formatDate(date.getSeconds());
    }


    Base.getNowDate = function() {
        var date = new Date();
        return date.getFullYear()+"-"+_formatDate(date.getMonth()+1)+"-"+_formatDate(date.getDate());
    }
    
    function _formatDate(date) {
        return date < 10 ? "0" + date:date;
    }

   
  //ready
    Base.onReady = function(func) {
        
        window.onViewCreate = function() {
            // 适应header 
            Base.fixStatusBar(document.getElementById("header"));
        };
        window.onViewOpen = function() {
            func();
        };
    }

     Base.requestServer1 = function (urlType, param, callback, mask, type, nopage) {
        urlType = $.trim(urlType);  //根据类型取得服务器地址
        var url = ""; 
        if(urlType.indexOf("http://") != -1) {
            url = urlType;
        } else {
            url = Base.serverPath + Base.urlPath[urlType];
        }
        param = param || {};  //传的参数
        type = type || "post"; 
        var access_token = Base.getStorage("access_token");
        if(access_token == undefined) {
            access_token = "";
        }

        param["access_token"] = access_token;
        if(mask) {
            Base.showGifMask();
        } 
        //console.log("--in--:" + url +"----"+ JSON.stringify(param));
         rsaEncrypt.encrypt(param,function(ret,err){
             if(ret){
        //console.log("--rsa--"+JSON.stringify(ret));
         //加密成功执行请求方法
        var ajax = $.ajax({
            type: type,
            contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
            url: url,
            /*data:param,*/
            data: ret,
            success: function(data) {
                Base.removeGifMask();
                console.log("--out--:" + data);
                if(typeof data == "string") {
                    data = Base.strToJson(data);
                }
                if(data.appcode=="1"){
                    Base.msgTip(data.appmsg);
                    return;
                }
                if( data[code] == successCode ){
                        callback(data);
                }else if(data[code] !="1"){
                     callback(data); 
                }
                
            },
            error: function(xhr, type) {
                Base.removeGifMask();
                Base.msgTip("网络错误");
            }
        });
          //return ajax;
         }else{
                 //错误信息，如果没有配置公钥，传入的参数不对，加解密错误等提示信息
               md.toast({msg:err});
            }
         });

    }

}(Zepto));