﻿    var prePageData={};/*前一页传递过来的参数*/
    var personData={};/*待调查人员的原始数据拥有设初始值*/
    /**
     * 页面初始化时获取前一页传递过来的参数
     */
    Base.onReady(function(){
        prePageData=md.pageParam.pageData;
        personData=md.pageParam.personData;
        var aaa100Arr=["AAC009"];
        fnSetAa10(aaa100Arr);
        //fnSetDefaultData();
        fnSetPsersonData();

    });

    /**
     *设置调查人员数据
     */
    function fnSetPsersonData(){

        commonUtil.console("personData:"+JSON.stringify(personData));

        /*给input输入项设默认值*/
        arr=$(".pageData").find("input[field]"); 
        for (var i = 0,len=arr.length; i < len; i++) {
            var $i=$(arr[i]);

            var field = $i.attr("field");

            var fieldU = field.toUpperCase();

            var value = personData[fieldU];

            commonUtil.console("field="+fieldU+";value="+value);

            if (infoManageCommonFun.isNotEmpty(value)) {
                $i.val(value);
            }
            
        }

        
        /*给二级代码设默认值 只含行政区划*/
        var arr=$(".pageData").find("div[field]"); //["aac009"];
        for (var i = 0,len=arr.length; i < len; i++) {
            var $i=$(arr[i]);

            var field = $i.attr("field");

            var fieldU = field.toUpperCase();//查询sql不用别名时结果字段为大写

            var value = personData[fieldU];

            if (infoManageCommonFun.isEmpty(value)) {//值为空时跳过
                continue;
            }

            var text;//行政区划名称

            var data=infoManageCommonFun.fnGetAreaName(field,value);

            if (data.validate) {
                text=data.text;
            }else{
                Base.msgTip("该人员住址信息有误！不能调查");
                $(".next_btn").addClass("disable-btn");
            }
            
            
            commonUtil.console("field="+fieldU+";value="+value+";text="+text);

            $("div[field='"+field+"']").attr("value", value).text(text);
            
            infoManageCommonFun.clearRequire(field, value, text);//根据选择的行政区划值设置乡镇和村是否必输
            
            
        }

    }

    /**
     * 点击下一页按钮时，验证以及获取界面的参数并传递到参保信息界面
     * 
     */
     
    Base.click(".next_btn", function($this, e) {
            if($this.hasClass("disable-btn")) {
                return false;
            }
            commonUtil.console("pageData验证开始");
            var curPageData=validateForm($(".pageData"));/*cur-current当前页数据*/
            if (curPageData.validate==false) {
                 return false;
            }
            
            $.extend(curPageData.params, prePageData);
            commonUtil.console("2pageData.params="+JSON.stringify(curPageData.params));
            commonUtil.console("pageData验证完成");
            var url="wgt://business/infoManage/common/html/common_naiv.html";
            var frameUrl = "wgt://business/infoManage/survey/html/survey_emp_outlander.html";
            var title = "入户调查"; 
            var name="survey_emp";
            
            var pageParam={
                    frameUrl: frameUrl,
                    title: title || "",
                    bounces: false,
                    reload: true,
                    frameParam: {
                        title: title,
                        from:{
                            winName:md.winName,
                            frameName:md.frameName
                        },
                        pageData:curPageData.params,
                        personData:personData
                    }
                };

            md.openWin({
                name: name,
                url: url,
                reload: true,
                pageParam: pageParam
            });
        }, "md-act2");

    /**
     * 校验界面的值
     * 
     * @method setCode
     * @param {string}
     *            $this 所有字段的父元素
     * @return {json}
     *            data params 要传递到下一页界面的参数,validate:验证是否通过，校验不通过时validate=false
     */
    function validateForm($this) {
        var data = {validate: false};
        var arr = $this.find("[field]");
        var params = {};
        for (var i = 0, len = arr.length; i < len; i++) {
            var $i = $(arr[i]);
            var field = $i.attr("field");
            var value = $i.attr("value") || $i.val();
            var validate = $i.attr("validate");//验证是否为空，若有type要验证格式
            var tip = "请输入必填字段";
            params[field] = value;

            if(validate) {
                if(validate) {
                    validate = eval("(" + validate +")");
                    tip = validate.tip;
                    if(infoManageCommonFun.isEmpty(value)) {
                        Base.msgTip(tip);
                        return data;
                    }
                }
            }
        }
        data.params = params;
        data.validate = true;
        return data;
    }

    /**
     * 选择码值后回调
     * 
     * @method setCode
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    function setCode(field, value, text) {
        infoManageCommonFun.clearLowerLevelArea(field, value, text);//根据选择的行政区划值清空该行政区划下级
        $("div[field='"+field+"']").attr("value", value).text(text);
        infoManageCommonFun.setAae006(field, value, text);//设置常住地址
        infoManageCommonFun.setAae012(field, value, text);//设置通讯地址
        infoManageCommonFun.clearRequire(field, value, text);//根据选择的行政区划值设置乡镇和村是否必输
    }

    