
var count;
var qrcode;
var timerId;
var timerIdget;
var timeCount=0;
var logo;
var isStop = false;
onViewCreate=function(){

    $(".fresh").addClass("m-hide");

    //打开页面时加载二维码
    getQrcode();

    //页面加载时，显示“每分钟刷新一次二维码”，隐藏“已刷新”
    $(".changed").addClass("m-hide");
    $(".change").removeClass("m-hide");

    //每分钟自动刷新一次二维码
    timerIdget = setInterval(function(){
        getQrcode();
    },6000*10);

    //每三秒钟轮询一次订单
    timerId = setInterval(function(){
        queryStoreOrder();
    },3000);

};


function getQrcode(){
    var param={};
    param["aac002"] = Base.getStorage("aac002");
    Base.requestServer("getQrCode",param,function(datas){
         if(datas.code == "1"){
            count = 0;
            $(".qrcode").empty();
            $(".fresh").show();
            qrcode=datas.quickResponseCode;

            $(".ordernum1").html(qrcode.substring(0,4));
            $(".ordernum2").html(qrcode.substring(4,8));
            $(".ordernum3").html(qrcode.substring(8,12));
            $(".ordernum4").html(qrcode.substring(12,18));
            $(".barcode").barcode(qrcode, "code128",{
                output:'css',       //渲染方式 css/bmp/svg/canvas
                //bgColor: '#ff0000', //条码背景颜色
                color: '#000',   //条码颜色
                barWidth: 2,        //单条条码宽度
                barHeight: 100,     //单体条码高度
                fontSize: 18,
                showHRI: false,
                // moduleSize: 5,   //条码大小
                // posX: 10,        //条码坐标X
                // posY: 5,         //条码坐标Y
                addQuietZone: false  //是否添加空白区（内边距）
            });
            jQuery('.qrcode').qrcode({
                text : qrcode,
                width : 150,
                height : 150
                
            });
         }else{
           
            Base.msgTip(datas.message);
         }
    },false);
}


function queryStoreOrder(){
    if(!qrcode){
        return;
    }
    var param={};
    param["yae921"] = qrcode;
    Base.requestServer("queryOrderStatus",param,function(datas){
         if(datas.code=="1"){
            var data=datas.data;
            if(data.payoptype=="04"){
                    clearInterval(timerId);
                    clearInterval(timerIdget);
                    $.showLoading('身份识别中，请稍等...');
                    getConfirm(data);

            }else if(data.rh_result=="0"){
                if(timeCount==0){
                    $.showLoading('处理中，请稍等...');
                    clearInterval(timerIdget);
                    timeCount=1;

                    //超过30秒在，提示超时，重新生成二维码
                    setTimeout(function(){

                        //clearInterval(timerId);
                        $.hideLoading();

                        $.toast("订单处理超时", "forbidden");

                        setTimeout(function(){
                            location.reload();;
                        },2000);
                        
                    },1000*120);
                }
            }else if(data.rh_result=="1"){
                clearInterval(timerIdget);
                clearInterval(timerId);
                timeCount=0;
                $.hideLoading();//停止提示框
                gotoSuccess(data);
            }else if(data.rh_result=="2"){
                clearInterval(timerIdget);
                clearInterval(timerId);
                timeCount=0;
                gotoFail();
            }
         }
    },false);
   
}


Base.click(".queryAll",function($this){
    
    var param = {};
        param.url = "wgt://cdsim/nav/top_nav.html";
        param.bounces = false;
        param.reload = true;
        href = "insurance/insuranceCount.html";
        param.name = "insuranceCount";
        param.title = "医保账户余额";
    Base.gotoView(href, param);
});

function gotoSuccess(data){
    var param = {};
        param.url = "wgt://cdsim/nav/top_nav_back.html";
        param.bounces = false;
        param.reload = true;
        href = "mdescc/paySuccess.html";
        param.framePageData=data;
        param.name = "paySuccess";
        param.title = "订单详情";
    Base.gotoView(href, param);
}

function gotoFail(){
    var param = {};
        param.url = "wgt://cdsim/nav/top_nav_back.html";
        param.bounces = false;
        param.reload = true;
        href = "mdescc/payFail.html";
        param.name = "payFail";
        param.title = "订单详情";
    Base.gotoView(href, param);
}

function back() {
    stopTimer();
    setTimeout(function(){
        md.closeToWin({
            name: 'ybPayNav'
        });
    },300);
}


function stopTimer(){
    isStop = true;
     if(timerId||timerId==0){
        clearInterval(timerId);
        
    }
}


function getConfirm(data){
    var param = {};
        param.url = "wgt://cdsim/nav/top_nav_back.html";
        param.bounces = false;
        param.reload = true;
        href = "mdescc/recog_success.html";
        param.name = "recog_success";
        param.title = "身份确认";
    Base.gotoView(href, param);
}

//点击"刷新"按钮自动刷新二维码
Base.click(".icon-fresh",function($this){
    getQrcode();

    $(".change").addClass("m-hide");
    $(".changed").removeClass("m-hide");

    timerId = setTimeout(function(){
        $(".change").removeClass("m-hide");
        $(".changed").addClass("m-hide");
    },3000);
});

