Base.onReady(function() {

	var fnpFlag = parseInt(Base.getStorage("fnpFlag")) || 1; //判断页面初始化是应显示的选项卡
	showTips(fnpFlag);
    
    searchBtn();
});


$(".nt-title").tap(function() {
    	var index = $(this).index();
		showTips(index);
});


$(".notice .list").tap(function() {
    var href = "news/noticedetail.html";
    var index = $(this).attr('index');
    var pagedata = {indexOf:index}
    var data={title:"新闻动态",name:"notice_detail_"+index+"",framePageData:pagedata};
    Base.gotoView(href,data);
//      queryNoticeList();
});


$(".guide .list").tap(function() {
    var href = "guide/guidedetail.html";
    var index = $(this).attr('index');
    var titles = $(this).find(".titles").html();
    var pagedata = {indexOf:index,title:titles}
    var data={title:"办事指南",name:"guide_detail_"+index+"",framePageData:pagedata};
    Base.gotoView(href,data);
});


$(".policy .list").tap(function() {
    var href = "news/policydetail.html";
    var index = $(this).attr('index');
    var pagedata = {indexOf:index}
    var data = {title:"政策法规",name:"policy_detail_"+index+"",framePageData:pagedata};
    Base.gotoView(href,data);
});


function queryNoticeList(){
	var html = [];
	for(var i=0;i<news.legth;i++){
		var time = news[index].time;
		var title = news[index].title;
		html.push('<div class="md-box list md-ae" index="'+index+'">');
		html.push('<div class="md-f1">'+title+'</div>');
		html.push('<div class="time">'+time+'</div>');
		html.push('</div>');
	}
	$('.list-wrap').html(html.join());
	
}


function showTips(index){
    	var $this = $(".nt-title").eq(index);
    	if($this.hasClass("nt-active")) {
    		return;
    	}
    	$(".mh-title").text($this.html());
    	$this.addClass("nt-active").siblings().removeClass("nt-active");
    	$(".list-wrap").addClass("fnp-hidden");
    	if(index == 0) {
    		$(".policy").removeClass("fnp-hidden");
    	}
    	if(index == 1) {
    		$(".notice").removeClass("fnp-hidden");
    	}
    	if(index == 2) {
    		$(".guide").removeClass("fnp-hidden");
    	}

    	$('.list-wrap').children().css("display","-webkit-box");
    	$('.list-wrap').children().css("display","box");
}


function searchBtn(){
	$(document).on("tap",".search-btn",function(){
		var searchText = $(".search-texts").val();
		var index = $(".fnt-title").find(".nt-active").index();
		var titlesList = $('.list-wrap').eq(index).children();
		var flag =0;
		if(searchText == ""){
			$(titlesList).css("display","box");
			$(titlesList).css("display","-webkit-box");
		}
		for(var i = 0 ; i < titlesList.length ; i++){
			var titles = $(titlesList[i]).find(".titles").html();
			$(titlesList[i]).css("display","none");
			if(titles.match(searchText)){
				$(titlesList[i]).css("display","box");
				$(titlesList[i]).css("display","-webkit-box");
				flag = 1;
			}
		}
		if(!flag){
			Base.msgTip("未搜索到相关数据！");
		}
	})
}