var docPath = "app/";
 var url = "http://118.112.188.108:9700/app_admin/appversion/versionCheck";
var vtag;

    
function getNewApp(tag){//
    vtag = tag;
    if(md.systemType == "android"){
        var param = {};
        /**md.appVersion 为config.json里面的配置appInfo 的version值  每次发布新版本该值必须和打包版本号相同*/
        param["vcode"] = md.appVersion;
        param["vname"] = "gzsrst";
        param["type"] = "1";
        checkAppVersion(param, gx_callback);
    }


}

/**
 * 检查更新服务 checkAppVersion
 * @param {String} data 请求参数对象  必选可为null， 
 * @param {String} callback 回调方法  可选
 */
function checkAppVersion(param, callback ) {
    
    param = param || {};
    var ajax = $.ajax({
        type: 'post',
        contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
        url: url,
        data: param,
        success: function(data) {
            console.log("====out===="+JSON.stringify(data));
            if(typeof data == "string") {
                data = Base.strToJson(data);
            }
            callback(data);            
        },
        error: function(xhr, type) {
            Base.msgTip("网络错误");
        }
    });
    return ajax;
}

function gx_callback(data){
    
    
    var msg = data.msg;
    var downUrl = data.downUrl;
    
    if(downUrl  != "" ){
        md.confirm({
            title: '下载更新',
            msg: msg,
            buttons: ['确定', '取消']
        },function( ret, err ){
            if(ret.buttonIndex == 1){
                downApp(downUrl);
            }
        });
    }else if(vtag){
        /*md.toast({
            msg: '已是最新版本',
            duration: 1000,
            location: 'bottom'
        });*/
    }

}
/**下载app*/
function downApp(xzlj){
    savePath = "fs://"+docPath+"cdzhrs.apk";
    console.log("url========"+xzlj);
    
    md.showProgress({
            content: "下载中...",
            modal: false
        });
    md.download({
        url: xzlj,
        savePath: savePath,
        report: true,
        cache: true,
        allowResume: true
    },function( ret, err ){     
        if(ret){
            //Base.msgTip("下载进度======"+ret.percent);
            if(ret.state == 1  ){
                md.hideProgress();
                console.log("savePath222========"+savePath);
                md.installApp({
                    appUri: savePath
                });
            }
        }else{
            md.hideProgress();
            Base.msgTip("下载失败");
        }
    });
}
